import socket

server_ip = '192.168.1.51'
port = 4444

server = socket.socket()
server.bind((server_ip, port))
server.listen(1)
print("Server čaká na pripojenie...")

while True:
    pripojenie, adresa = server.accept()
    print("Pripojené na adrese:", adresa)

    # Prijatie informácií zo zariadenia
    informacie = pripojenie.recv(1024)
    informacie = informacie.decode()

    # Uloženie informácií do súboru
    with open("mojedata.txt", "a") as file:
        file.write(informacie + "\n")

    # Odoslanie potvrdenia klientovi
    pripojenie.send("Údaje úspešne uložené na server.".encode())


    pripojenie.close()